using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HistoryDLL.Json
{
    public class HistoryWallEventJson
    {
        [JsonProperty("EventGroups")]
        public List<EventGroup> EventGroups { get; set; }
    }

    public class EventGroup
    {
        [JsonProperty("YearLan1")]
        public string YearLan1 { get; set; }
        [JsonProperty("YearLan2")]
        public string YearLan2 { get; set; }
        [JsonProperty("YearLan3")]
        public string YearLan3 { get; set; }
        [JsonProperty("YearLan4")]
        public string YearLan4 { get; set; }
        [JsonProperty("ListDates")]
        public List<ListDate> ListDates { get; set; }
    }

    public class ListDate
    {
        [JsonProperty("Month")]
        public string Month { get; set; }
        [JsonProperty("TitleLan1")]
        public string TitleLan1 { get; set; }
        [JsonProperty("TitleLan2")]
        public string TitleLan2 { get; set; }
        [JsonProperty("TitleLan3")]
        public string TitleLan3 { get; set; }
        [JsonProperty("TitleLan4")]
        public string TitleLan4 { get; set; }
        [JsonProperty("Script1")]
        public string Script1 { get; set; }
        [JsonProperty("Script2")]
        public string Script2 { get; set; }
        [JsonProperty("Script3")]
        public string Script3 { get; set; }
        [JsonProperty("Script4")]
        public string Script4 { get; set; }
        [JsonProperty("ImagePath")]
        public string ImagePath { get; set; }

        public ListDate()
        {
            Month = "";
            TitleLan1 = "";
            TitleLan2 = "";
            TitleLan3 = "";
            TitleLan4 = "";
            Script1 = "";
            Script2 = "";
            Script3 = "";
            Script4 = "";
            ImagePath = "";
        }
    }
}
